Bug 459239 - ncftp 3.2.0 doesn't work for duplicity
ncftp 3.2.0 doesn't work for duplicity
Status: CLOSED NEXTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: ncftp (Show other bugs)
el5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-15 05:29 EDT by Niall Hallett
Modified: 2008-12-24 16:27 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.2.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-24 11:23:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niall Hallett 2008-08-15 05:29:04 EDT
Description of problem:

duplicity breaks if you use ftp://

Version-Release number of selected component (if applicable):
3.2.0

How reproducible:
always

Steps to Reproduce:
1. FTP_PASSWORD=secret duplicity /home/user ftp://user@ftp.backup.server/
2. 
3.
  
Actual results:
Running 'ncftpput -f /tmp/duplicity-ljF09e-tempdir/mkstemp-jQdVk6-1 -F -t 30 -m -V -C '/tmp/duplicity-ljF09e-tempdir/mktemp-VBWvlw-5' 'duplicity-inc.2008-08-15T10:23:49+01:00.to.2008-08-15T10:25:12+01:00.vol1.difftar.gpg'' failed (attempt #1)

Expected results:
--------------[ Backup Statistics ]--------------
StartTime 1218792235.99 (Fri Aug 15 10:23:55 2008)
EndTime 1218792236.62 (Fri Aug 15 10:23:56 2008)
ElapsedTime 0.63 (0.63 seconds)
SourceFiles 248
SourceFileSize 2157368 (2.06 MB)
NewFiles 248
NewFileSize 2157368 (2.06 MB)
DeletedFiles 0
ChangedFiles 0
ChangedFileSize 0 (0 bytes)
ChangedDeltaSize 0 (0 bytes)
DeltaEntries 248
RawDeltaSize 1180772 (1.13 MB)
TotalDestinationSizeChange 907495 (886 KB)
Errors 0
-------------------------------------------------


Additional info:
This works in Fedora 9 which uses ncftp 3.2.1
I manually installed ncftp 3.2.2 to resolve the situation on CentOS 5.2
Comment 1 Matthias Saou 2008-12-24 11:23:14 EST
I've rebuilt 3.2.2 for EL-5, but as that package version no longer has the IPv6 patch, it might be considered a regression and not updated. If I had to decide, then I'd push it, as the IPv6 patch has never worked 100% correctly, but...
Comment 2 Robert Scheck 2008-12-24 16:27:12 EST
It would be interesting to me which duplicity version breaks something?

Note You need to log in before you can comment on or make changes to this bug.